summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-11-16 00:06:41 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-11-16 00:06:41 +0700
commit03d3890a40f0e0e0fdd9c2d0ddcdd3eab9878319 (patch)
tree1103bf81492b5bce10255cf056663a574ed6dd6c /office
parent11da0a76d374a51bec3787193a39d72f70765a79 (diff)
downloadslackbuilds-03d3890a40f0e0e0fdd9c2d0ddcdd3eab9878319.tar.gz
slackbuilds-03d3890a40f0e0e0fdd9c2d0ddcdd3eab9878319.tar.xz
office/qute: Added (Text Editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/qute/README4
-rw-r--r--office/qute/doinst.sh3
-rw-r--r--office/qute/qute.SlackBuild111
-rw-r--r--office/qute/qute.info10
-rw-r--r--office/qute/qute.sh3
-rw-r--r--office/qute/slack-desc19
6 files changed, 150 insertions, 0 deletions
diff --git a/office/qute/README b/office/qute/README
new file mode 100644
index 0000000000..0c91a9de40
--- /dev/null
+++ b/office/qute/README
@@ -0,0 +1,4 @@
+Qute for Linux/PC/Mac is a text editor with Markdown and TeX support.
+Qute offers per paragraph preview, i.e., users can switch between
+editing the source and viewing a rich text rendering with typeset
+formulas for each paragraph separately.
diff --git a/office/qute/doinst.sh b/office/qute/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/office/qute/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/qute/qute.SlackBuild b/office/qute/qute.SlackBuild
new file mode 100644
index 0000000000..a8273c0ea7
--- /dev/null
+++ b/office/qute/qute.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for qute
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qute
+SRCNAM=${PRGNAM^}
+VERSION=${VERSION:-0.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+tar xvf $CWD/$SRCNAM-$VERSION-$(uname | tr '[A-Z]' '[a-z]').tar.gz
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# fix .desktop file
+sed -i "s/TextEditor/Utility;TextEditor/" Qute.desktop
+
+mkdir -p $PKG/usr/share/$PRGNAM $PRG/usr/bin
+
+# enable bash extended globbing
+shopt -s extglob
+
+EXCEPT="Qute*|LICENSE-AGPL|README.md|qute.png"
+cp -rf !($EXCEPT) $PKG/usr/share/$PRGNAM
+
+# disable bash extended globbing
+shopt -u extglob
+
+# install launchers
+install -D -m0755 Qute $PKG/usr/share/$PRGNAN/qute
+install -D -m0755 $CWD/qute.sh $PKG/usr/bin/Qute
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# install .desktop file
+mkdir -p $PKG/usr/share/applications
+install -D -m644 Qute.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+# install .desktop icon
+mkdir -p $PKG/usr/share/pixmaps/
+install -D -m644 $PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md LICENSE-AGPL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/qute/qute.info b/office/qute/qute.info
new file mode 100644
index 0000000000..eb661bbc4b
--- /dev/null
+++ b/office/qute/qute.info
@@ -0,0 +1,10 @@
+PRGNAM="qute"
+VERSION="0.4.1"
+HOMEPAGE="http://www.inkcode.net/qute"
+DOWNLOAD="https://github.com/downloads/fbreuer/qute-html5/Qute-0.4.1-linux.tar.gz"
+MD5SUM="7a3a756285bb0c59d89e440e428b22e5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/office/qute/qute.sh b/office/qute/qute.sh
new file mode 100644
index 0000000000..85a575a62f
--- /dev/null
+++ b/office/qute/qute.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /usr/share/qute
+./Qute
diff --git a/office/qute/slack-desc b/office/qute/slack-desc
new file mode 100644
index 0000000000..4225af4163
--- /dev/null
+++ b/office/qute/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qute: qute (Text editor)
+qute:
+qute: Qute for Linux/PC/Mac is a text editor with Markdown and TeX support.
+qute: Qute offers per paragraph preview, i.e., users can switch between
+qute: editing the source and viewing a rich text rendering with typeset
+qute: formulas for each paragraph separately.
+qute:
+qute: Homepage: http://www.inkcode.net/qute
+qute:
+qute:
+qute: